SoEventCallback.h(3)

NAME
SoEventCallback.h

SYNOPSIS

#include <Inventor/nodes/SoSubNode.h>
#include <Inventor/lists/SbList.h>
#include <Inventor/actions/SoHandleEventAction.h>

  Classes
class SoEventCallback
The SoEventCallback class provides functionality for catching events.

  Typedefs
typedef void SoEventCallbackCB(void *userdata, SoEventCallback *node)

Typedef Documentation

  void SoEventCallbackCB
Callback functions for SoEventCallback::addEventCallback() must be of this type. userdata is the last argument to SoEventCallback::addEventCallback(), and node is of course the SoEventCallback node in the scene graph which caused the invocation of the callback.

Author

Generated automatically by Doxygen for Coin from the source code.